Subject: [css-d] IE Win positioning problem

From: css at nextw3.net (Marcello Armand-Pilon)
Date: Sun, 27 Apr 2003 18:42:17 +0200

Hi all,

I am working on a site that displays correctly in a variety of browsers under Mac and Win, except IE6 Win. Sorry if I cannot provide a URL, 'cause I'm still working locally, but here's the main DIV that's causing the poblem:

#mainframe {
	position: absolute;
	text-align: center;
	width: 800px;
	margin: 0px 0px 0px 20px;
	padding: 0;
	text-align: left;
	}

With all the browsers I have tested so far, the left margin is anchored 20px far from the browser left side, but IE6 Win add a huge 400px margin (more or less) on the left side. If I change the position from absolute to relative, things run better, but the content is then liquid, while I want it to stay 20px from the browser left side, and don't move.

I'm sure this matter has been discussed already, but any help would be gratly appreciated.

Thanks, Marcello